import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { BestpropertyLaunch } from '../models';
import { BestpropertyLaunchRepository } from '../repositories';
export declare class BestpropertylaunchController {
    bestpropertyLaunchRepository: BestpropertyLaunchRepository;
    constructor(bestpropertyLaunchRepository: BestpropertyLaunchRepository);
    create(bestpropertyLaunch: Omit<BestpropertyLaunch, 'bestlaunchId '>): Promise<BestpropertyLaunch>;
    count(where?: Where<BestpropertyLaunch>): Promise<Count>;
    find(filter?: Filter<BestpropertyLaunch>): Promise<BestpropertyLaunch[]>;
    updateAll(bestpropertyLaunch: BestpropertyLaunch, where?: Where<BestpropertyLaunch>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<BestpropertyLaunch>): Promise<BestpropertyLaunch>;
    updateById(id: number, bestpropertyLaunch: BestpropertyLaunch): Promise<void>;
    replaceById(id: number, bestpropertyLaunch: BestpropertyLaunch): Promise<void>;
    deleteById(id: number): Promise<void>;
}
